<%- include('../layout', 
{ 
    pageTitle: 'Đăng nhập',
    addLink: `
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-alpha1/dist/css/bootstrap.min.css">
    `,
    addMain: `
        <div class="row">
            <div class="col-md-6 offset-md-3">
                <form>
                    <div class="form-outline mb-4">
                        <label for="exampleInputEmail1">Email address</label>
                        <input type="text" class="form-control" id="exampleInputEmail1" aria-describedby="emailHelp"
                            placeholder="Enter email" name="email">
                    </div>
                    <div class="form-outline mb-4">
                        <label for="exampleInputPassword1">Password</label>
                        <input type="password" class="form-control" id="exampleInputPassword1" placeholder="Password"
                            name="password">
                    </div>
                    <div class="form-outline mb-4">
                        <button id="loginBtn" type="submit" class="btn btn-primary">Submit</button>                    
                    </div>
                </form>
            </div>
        </div>
    `,
    addScript: `
        <script src="https://code.jquery.com/jquery-3.7.1.js" integrity="sha256-eKhayi8LEQwp4NKxN+CfCh+3qOVUtJn3QNZ0TciWLP4="crossorigin="anonymous"></script>
        <script>
            $(document).ready(function() {
                $("form").submit(function(event) { event.preventDefault(); });
            });

            $("#loginBtn").click(function(){
                var settings = {
                    "url": "${route('dangNhap')}",
                    "method": "POST",
                    "timeout": 0,
                    "data": $("form").serialize(),
                    "beforeSend": function() {
                        console.log('LOADING...')
                    }
                };

                $.ajax(settings).done(function (response) {
                    if(response.status){
                        window.location.reload();
                    } else {
                        console.log(response.error);
                    }
                });
            });
        </script>
    `
}) -%>